#ifndef KERNEL_CPU_TYPES_H
#define KERNEL_CPU_TYPES_H

// Non-semantic types specific to 32-bit Intel x86
typedef unsigned int u32_t;
typedef int i32_t;
typedef unsigned short u16_t;
typedef short i16_t;
typedef unsigned char u8_t;
typedef char i8_t;

#define LOW16(address) (u16)((address) & 0xffff)
#define HIGH16(address) (u16)(((address) >> 16) & 0xffff)

#endif //KERNEL_CPU_TYPES_H
